[Stable Update] 2018-09-13 - Kernels, KDE Framework, SPL/ZFS, Octopi

update
stable

#1

Hi community,

Welcome to another stable update. So what do we have with this one?

  • we updated most of our kernels
  • we finally fixed the touchpad issue we had with our Bladebooks
  • KDE framework got updated to 5.50.0
  • Octopi doesn’t show a dialog when the internet connection is not yet established
  • spl/zfs updated to 0.7.10
  • the usual upstream rebuilds/updates

We hope with all these changes Manjaro to be more efficient for you all.

For more info about L1TF please watch this video:


Currently we are working on a new Manjaro-Hardware project, the Bladebook Fall 2018. It will be powered by Manjaro KDE v18.0 and the latest Intel Apollo Lake Quad-Core HD APU. Having a fanless metal material (cassis gold-rose) and eMMC as storage (additional M2-SSD possible), it will have a long battery life. Find out more on our hardware page.

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our beta-build with the latest KDE v5.13 instead. And our GNOME fans may try our beta-build with the latest GNOME v3.28.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.122 [EOL]
  • linux44 4.4.155
  • linux49 4.9.126
  • linux414 4.14.69
  • linux417 4.17.19 [EOL]
  • linux418 4.18.7
  • linux419 4.19-rc3
  • linux414-rt 4.14.63_rt40
  • linux416-rt 4.16.18_rt11

Package Updates (Mon Sep 10 20:46:48 CEST 2018)

  • stable community x86_64: 85 new and 83 removed package(s)
  • stable core x86_64: 12 new and 12 removed package(s)
  • stable extra x86_64: 184 new and 183 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-09-09           2018-09-13
-------------------------------------------------------------------------------
appimagelauncher 1.0alpha+git20180903.9cd7f02-1 1.0alpha+git20180906.adec9be-1
             breeze-maia-icon-themes             5.49.0-1             5.50.0-1
                       cesious-theme                0.7-1                1.0-1
                            dockbarx               0.92-1               0.93-1
                      jade-dashboard              0.6.6-1              0.6.7-1
            manjaro-awesome-settings           20180907-1           20180910-1
                              octopi              0.9.0-4              0.9.0-5
                 octopi-cachecleaner              0.9.0-4              0.9.0-5
          octopi-notifier-frameworks              0.9.0-4              0.9.0-5
                 octopi-notifier-qt5              0.9.0-4              0.9.0-5
                 octopi-pacmanhelper              0.9.0-4              0.9.0-5
                   octopi-repoeditor              0.9.0-4              0.9.0-5
      openbox-basic-desktop-settings           1.18.0.5-2           1.18.0.8-1
     openbox-common-desktop-settings           1.18.0.5-2           1.18.0.8-1
            openbox-desktop-settings           1.18.0.5-2           1.18.0.8-1
    openbox-minimal-desktop-settings           1.18.0.5-2           1.18.0.8-1
    openbox-regular-desktop-settings           1.18.0.5-2           1.18.0.8-1
                             polybar3.1.0.r140.g067aac1-1              3.2.1-1
                           py3status               3.12-3                    -
                       webdad-speech              1.0.0-1              1.0.1-1
                   webdad-speech-git         r3.b92ccf4-1                    -
               webdad-workspaces-git         r4.bf24e00-1                    -
                       dockbarx-gtk3                    -               0.93-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-09-09           2018-09-13
-------------------------------------------------------------------------------
               aarch64-linux-gnu-gdb              8.1.1-1                8.2-2
                   arm-none-eabi-gdb              8.1.1-1                8.2-2
                             avr-gdb              8.1.1-1                8.2-2
                             aws-cli             1.16.6-1            1.16.10-1
                              badvpn          1.999.130-3          1.999.130-4
                                ceph             13.2.0-4             13.2.1-1
                           ceph-libs             13.2.0-4             13.2.1-1
                           classpath               0.99-3               0.99-4
                                cloc               1.76-1               1.78-1
                          cozy-stack           2018M3S2-1           2018M3S5-1
                         debootstrap            1.0.108-1            1.0.109-1
                         deepin-dock              4.7.3-1            4.7.3.1-1
                         dns-lexicon              2.7.0-1              2.7.2-1
                               eolie             0.9.35-2             0.9.36-1
                           etherwall              2.2.3-2              2.2.4-1
                                 gap              4.9.2-2              4.9.3-1
                             gap-doc              4.9.2-2              4.9.3-1
                        gap-packages              4.9.2-2              4.9.3-1
                             gbrainy            1:2.3.5-1            1:2.3.6-1
                                 gdc      8.2.1+2.068.2-1      8.2.1+2.068.2-2
                         gnome-games             3.28.0-1             3.30.0-1
                           gnome-mpv               0.14-2               0.15-1
                  gnome-multi-writer             3.28.0-1             3.30.0-1
                     gnome-subtitles                1.4-1              1.4.1-1
                             gpodder             3.10.3-3             3.10.4-1
                            gpsprune                 19-1               19.1-1
                      gst-transcoder             1.14.0-1             1.14.1-1
                           handbrake              1.1.1-2              1.1.2-1
                       handbrake-cli              1.1.1-2              1.1.2-1
                       haskell-brick               0.41-1             0.41.1-1
                          hledger-ui              1.10-32              1.10-33
     intellij-idea-community-edition         2:2018.2.2-1         2:2018.2.3-1
                                jmol           14.29.19-1           14.29.22-1
    kde-development-environment-meta           20180423-1           20180909-1
                          libgphobos      8.2.1+2.068.2-1      8.2.1+2.068.2-2
                            metacity             3.28.0-1             3.30.1-1
                               navit              0.5.1-1              0.5.3-1
                           oniguruma              6.8.2-1              6.9.0-1
                               opera       55.0.2994.56-1       55.0.2994.56-2
                           osinfo-db           20180720-1           20180903-1
                            pgadmin4                3.2-1                3.3-1
                              pitivi               0.99-5              0.999-1
                           py3status               3.12-2               3.12-3
                        python-boto3              1.8.6-1              1.9.0-1
                     python-botocore             1.11.6-1             1.12.0-1
                     python-cherrypy             18.0.0-2             18.0.1-1
                         python-jose              3.0.0-2              3.0.1-1
             python-websocket-client             0.52.0-1             0.53.0-1
                       python2-boto3              1.8.6-1              1.9.0-1
                    python2-botocore             1.11.6-1             1.12.0-1
                        python2-jose              3.0.0-2              3.0.1-1
            python2-websocket-client             0.52.0-1             0.53.0-1
                                qcad           3.21.2.7-1           3.21.2.8-1
                            qtractor              0.9.1-1              0.9.2-1
                              rclone               1.42-1             1.43.1-1
                           retro-gtk             0.14.0-1             0.16.0-1
                           rng-tools              6.3.1-3                6.4-1
                             scribus              1.4.7-1              1.5.4-1
                        sparkleshare               3.28-1               3.28-2
                sugar-activity-pippy                 71-1                 72-1
                 sugar-activity-read                120-1                121-1
                            urlwatch               2.13-2               2.14-1
                               chafa                    -              0.9.0-1
                       deepin-topbar                    -              0.4.6-1
                             diet-ng                    -              1.5.0-2
                              vibe-d                    -              0.8.4-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-09-09           2018-09-13
-------------------------------------------------------------------------------
                            linux318           3.18.121-1           3.18.122-1
                    linux318-headers           3.18.121-1           3.18.122-1
                            linux414            4.14.68-1            4.14.69-1
                    linux414-headers            4.14.68-1            4.14.69-1
                            linux418             4.18.6-1             4.18.7-1
                    linux418-headers             4.18.6-1             4.18.7-1
                      linux419 4.19rc2.0906.gdb44bf4-1 4.19rc3.0912.g5e33554-1
              linux419-headers 4.19rc2.0906.gdb44bf4-1 4.19rc3.0912.g5e33554-1
                             linux44            4.4.154-1            4.4.155-1
                     linux44-headers            4.4.154-1            4.4.155-1
                             linux49            4.9.125-1            4.9.126-1
                     linux49-headers            4.9.125-1            4.9.126-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-09-09           2018-09-13
-------------------------------------------------------------------------------
                        linux316-spl              0.7.9-3             0.7.10-1
                        linux316-zfs              0.7.9-3             0.7.10-1
                        linux318-spl              0.7.9-9             0.7.10-1
                        linux318-zfs              0.7.9-9             0.7.10-1
                  linux414-acpi_call             1.1.0-57             1.1.0-58
                   linux414-bbswitch               0.8-57               0.8-58
                linux414-broadcom-wl      6.30.223.271-57      6.30.223.271-58
                   linux414-catalyst     1:15.201.1151-57     1:15.201.1151-58
                linux414-ndiswrapper              1.61-57              1.61-58
                     linux414-nvidia           1:396.54-4           1:396.54-5
               linux414-nvidia-340xx           340.107-16           340.107-17
               linux414-nvidia-390xx             390.87-2             390.87-3
                   linux414-nvidiabl              0.88-57              0.88-58
                      linux414-r8168          8.045.08-45          8.045.08-46
                  linux414-rt3562sta        2.4.1.1_r4-57        2.4.1.1_r4-58
                        linux414-spl             0.7.9-21             0.7.10-1
                   linux414-tp_smapi              0.41-57              0.41-58
                linux414-vhba-module          20161009-57          20161009-58
   linux414-virtualbox-guest-modules             5.2.18-5             5.2.18-6
    linux414-virtualbox-host-modules             5.2.18-5             5.2.18-6
                        linux414-zfs             0.7.9-21             0.7.10-1
                        linux417-spl             0.7.9-14             0.7.10-1
                        linux417-zfs             0.7.9-14             0.7.10-1
                  linux418-acpi_call              1.1.0-2              1.1.0-3
                   linux418-bbswitch                0.8-2                0.8-3
                linux418-broadcom-wl       6.30.223.271-2       6.30.223.271-3
                   linux418-catalyst      1:15.201.1151-2      1:15.201.1151-3
                linux418-ndiswrapper               1.61-2               1.61-3
                     linux418-nvidia           1:396.54-2           1:396.54-3
               linux418-nvidia-340xx            340.107-2            340.107-3
               linux418-nvidia-390xx             390.87-2             390.87-3
                   linux418-nvidiabl               0.88-2               0.88-3
                      linux418-r8168           8.045.08-2           8.045.08-3
                        linux418-spl              0.7.9-2             0.7.10-1
                   linux418-tp_smapi               0.41-2               0.41-3
                linux418-vhba-module           20161009-2           20161009-3
   linux418-virtualbox-guest-modules             5.2.18-2             5.2.18-3
    linux418-virtualbox-host-modules             5.2.18-2             5.2.18-3
                        linux418-zfs              0.7.9-2             0.7.10-1
                  linux419-acpi_call           1.1.0-0.14           1.1.0-0.16
                   linux419-bbswitch             0.8-0.14             0.8-0.16
                linux419-broadcom-wl    6.30.223.271-0.14    6.30.223.271-0.16
                   linux419-catalyst   1:15.201.1151-0.14   1:15.201.1151-0.16
                linux419-ndiswrapper            1.61-0.14            1.61-0.16
                     linux419-nvidia        1:396.54-0.14        1:396.54-0.16
               linux419-nvidia-340xx         340.107-0.14         340.107-0.16
               linux419-nvidia-390xx          390.87-0.14          390.87-0.16
                   linux419-nvidiabl            0.88-0.14            0.88-0.16
                      linux419-r8168        8.045.08-0.14        8.045.08-0.16
                        linux419-spl           0.7.9-0.14          0.7.10-0.16
                   linux419-tp_smapi            0.41-0.14            0.41-0.16
                linux419-vhba-module        20161009-0.14        20161009-0.16
   linux419-virtualbox-guest-modules          5.2.18-0.14          5.2.18-0.16
    linux419-virtualbox-host-modules          5.2.18-0.14          5.2.18-0.16
                        linux419-zfs           0.7.9-0.14          0.7.10-0.16
                   linux44-acpi_call            1.1.0-108            1.1.0-109
                    linux44-bbswitch              0.8-108              0.8-109
                 linux44-broadcom-wl      6.30.223.271-78      6.30.223.271-79
                    linux44-catalyst    1:15.201.1151-108    1:15.201.1151-109
                 linux44-ndiswrapper              1.61-76              1.61-77
                      linux44-nvidia           1:396.54-4           1:396.54-5
                linux44-nvidia-340xx           340.107-13           340.107-14
                linux44-nvidia-390xx             390.87-2             390.87-3
                    linux44-nvidiabl             0.88-108             0.88-109
                       linux44-r8168          8.045.08-30          8.045.08-31
                   linux44-rt3562sta        2.4.1.1_r4-76        2.4.1.1_r4-77
                         linux44-spl             0.7.9-15             0.7.10-1
                    linux44-tp_smapi             0.41-108             0.41-109
                 linux44-vhba-module          20161009-76          20161009-77
    linux44-virtualbox-guest-modules             5.2.18-5             5.2.18-6
     linux44-virtualbox-host-modules             5.2.18-5             5.2.18-6
                         linux44-zfs             0.7.9-15             0.7.10-1
                   linux49-acpi_call             1.1.0-94             1.1.0-95
                    linux49-bbswitch               0.8-94               0.8-95
                 linux49-broadcom-wl      6.30.223.271-94      6.30.223.271-95
                    linux49-catalyst     1:15.201.1151-94     1:15.201.1151-95
                 linux49-ndiswrapper              1.61-92              1.61-93
                      linux49-nvidia           1:396.54-4           1:396.54-5
                linux49-nvidia-340xx           340.107-13           340.107-14
                linux49-nvidia-390xx             390.87-2             390.87-3
                    linux49-nvidiabl              0.88-94              0.88-95
                       linux49-r8168          8.045.08-34          8.045.08-35
                   linux49-rt3562sta        2.4.1.1_r4-92        2.4.1.1_r4-93
                         linux49-spl             0.7.9-18             0.7.10-1
                    linux49-tp_smapi              0.41-94              0.41-95
                 linux49-vhba-module          20161009-92          20161009-93
    linux49-virtualbox-guest-modules             5.2.18-5             5.2.18-6
     linux49-virtualbox-host-modules             5.2.18-5             5.2.18-6
                         linux49-zfs             0.7.9-18             0.7.10-1
                            spl-dkms              0.7.9-1             0.7.10-1
                           spl-utils              0.7.9-1             0.7.10-1
                            zfs-dkms              0.7.9-1             0.7.10-1
                           zfs-utils              0.7.9-1             0.7.10-1
                    plasma-workspace                    -           5.13.5-1.1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-09-09           2018-09-13
-------------------------------------------------------------------------------
                              attica             5.49.0-1             5.50.0-1
                               baloo             5.49.0-1             5.50.0-1
                            bluez-qt             5.49.0-1             5.50.0-1
                        breeze-icons             5.49.0-1             5.50.0-1
                 extra-cmake-modules             5.49.0-1             5.50.0-1
                frameworkintegration             5.49.0-1             5.50.0-1
                                 gdb              8.1.1-1                8.2-2
                          gdb-common              8.1.1-1                8.2-2
                            ghostpcl               9.24-5               9.24-6
                         ghostscript               9.24-5               9.24-6
                            ghostxps               9.24-5               9.24-6
                         kactivities             5.49.0-1             5.50.0-1
                   kactivities-stats             5.49.0-1             5.50.0-1
                             kapidox             5.49.0-1             5.50.0-1
                            karchive             5.49.0-1             5.50.0-1
                               kauth             5.49.0-1             5.50.0-1
                          kbookmarks             5.49.0-1             5.50.0-1
                            kcmutils             5.49.0-1             5.50.0-1
                             kcodecs             5.49.0-1             5.50.0-1
                         kcompletion             5.49.0-1             5.50.0-1
                             kconfig             5.49.0-1             5.50.0-1
                      kconfigwidgets             5.49.0-1             5.50.0-1
                         kcoreaddons             5.49.0-1             5.50.0-1
                              kcrash             5.49.0-1             5.50.0-1
                         kdbusaddons             5.49.0-1             5.50.0-1
                     kde-syndication            18.08.1-1                    -
                        kdeclarative             5.49.0-1             5.50.0-1
                                kded             5.49.0-1             5.50.0-1
                     kdelibs4support             5.49.0-1             5.50.0-1
                     kdesignerplugin             5.49.0-1             5.50.0-1
                               kdesu             5.49.0-1             5.50.0-1
                           kdewebkit             5.49.0-1             5.50.0-1
                              kdnssd             5.49.0-1             5.50.0-1
                           kdoctools             5.49.0-1             5.50.0-1
                          kemoticons             5.49.0-1             5.50.0-1
                       kfilemetadata             5.49.0-1             5.50.0-1
                        kglobalaccel             5.49.0-1             5.50.0-1
                          kguiaddons             5.49.0-1             5.50.0-1
                           kholidays           1:5.49.0-1           1:5.50.0-1
                               khtml             5.49.0-1             5.50.0-1
                               ki18n             5.49.0-1             5.50.0-1
                         kiconthemes             5.49.0-1             5.50.0-1
                           kidletime             5.49.0-1             5.50.0-1
                       kimageformats             5.49.0-2             5.50.0-1
                               kinit             5.49.0-1             5.50.0-1
                                 kio             5.49.0-1             5.50.0-1
                           kirigami2             5.49.0-1             5.50.0-1
                         kitemmodels             5.49.0-1             5.50.0-1
                          kitemviews             5.49.0-1             5.50.0-1
                         kjobwidgets             5.49.0-1             5.50.0-1
                                 kjs             5.49.0-1             5.50.0-1
                            kjsembed             5.49.0-1             5.50.0-1
                        kmediaplayer             5.49.0-1             5.50.0-1
                           knewstuff             5.49.0-1             5.50.0-1
                      knotifications             5.49.0-1             5.50.0-1
                       knotifyconfig             5.49.0-1             5.50.0-1
                            kpackage             5.49.0-1             5.50.0-1
                              kparts             5.49.0-1             5.50.0-1
                             kpeople             5.49.0-1             5.50.0-1
                           kplotting             5.49.0-1             5.50.0-1
                                kpty             5.49.0-1             5.50.0-1
                               kross             5.49.0-1             5.50.0-1
                             krunner             5.49.0-1             5.50.0-1
                            kservice             5.49.0-1             5.50.0-1
                         ktexteditor             5.49.0-1             5.50.0-1
                        ktextwidgets             5.49.0-1             5.50.0-1
                     kunitconversion             5.49.0-1             5.50.0-1
                             kwallet             5.49.0-1             5.50.0-1
                            kwayland             5.49.0-1             5.50.0-1
                      kwidgetsaddons             5.49.0-1             5.50.0-1
                       kwindowsystem             5.49.0-1             5.50.0-1
                             kxmlgui             5.49.0-1             5.50.0-1
                       kxmlrpcclient             5.49.0-1             5.50.0-1
                      liblightdm-qt4           1:1.26.0-2           1:1.28.0-1
                      liblightdm-qt5           1:1.26.0-2           1:1.28.0-1
                             liferea             1.12.5-1             1.12.5-3
                             lightdm           1:1.26.0-2           1:1.28.0-1
                     modemmanager-qt             5.49.0-1             5.50.0-1
                   networkmanager-qt             5.49.0-1             5.50.0-1
                        oxygen-icons           1:5.49.0-1           1:5.50.0-1
                    oxygen-icons-svg           1:5.49.0-1           1:5.50.0-1
                    plasma-framework             5.49.0-1             5.50.0-1
                              prison             5.49.0-1             5.50.0-1
                             purpose             5.49.0-1             5.50.0-1
                  qqc2-desktop-style             5.49.0-1             5.50.0-1
                               solid             5.49.0-1             5.50.0-1
                              sonnet             5.49.0-1             5.50.0-1
                 syntax-highlighting             5.49.0-1             5.50.0-1
                        threadweaver             5.49.0-1             5.50.0-1
        xf86-video-intel 1:2.99.917+831+ge7bfc906-1 1:2.99.917+847+g25c9a2fc-1
                         syndication                    -             5.50.0-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


AMD-Ucode introduction

Unless you’ve already done this previously, All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


Rebuilding fontconfig cache: failed to write cache

Please ignore this message. Upstream already works on a solution. More about the issue here.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn’t work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Items from previous update sets

Installing glibc (2.28-4) breaks the dependency “glibc=2.27” required by lib32-glibc

Install the update either:

  • from terminal: sudo pacman -Syu or;
  • with Octopi instead of Pamac.

Something using Perl/Python/glibc broke

Rebuilds needed!

  • If it’s an AUR package, try to reinstall it from AUR. It most likely needs to be rebuilt.
  • If it’s a repo package, please report and check back regularly for updates.

I’ve lost a Thunderbird addon/feature

Thunderbird 60 disables incompatible addons by default. There’s an about:config switch should you want to force-enable the addon, but many addons simply will not work with the newer Quantum-based Thunderbird.

Read more about Thunderbird 60 here: Thunderbird 60


Firefox - WebGL not working anymore

You may try the following solution:

Open about:config and set security.sandbox.content.read_path_whitelist to /sys/.


libutf8proc>=2.1.1-3 update may require manual intervention

This should normally be automatically fixed via manjaro-system update.

The libutf8proc package prior to version 2.1.1-3 had an incorrect soname link. This has been fixed in 2.1.1-3, so the upgrade will need to overwrite the untracked soname link created by ldconfig. If you get an error

libutf8proc: /usr/lib/libutf8proc.so.2 exists in filesystem

when updating, use


pacman -Suy --overwrite usr/lib/libutf8proc.so.2

to perform the upgrade.


Pamac: “Invalid or corrupted package.”

If you receive an “Invalid or corrupted package.” error message with Pamac and if the details contains an output similar to the following:

Details
Synchronizing package databases...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180716-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180702-1 -> 20180716-1)...
==> Fix libutf8proc upgrade ...
resolving dependencies...
looking for conflicting packages...

Packages (1) libutf8proc-2.1.1-4

Total Download Size:   0.05 MiB
Total Installed Size:  0.32 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading libutf8proc-2.1.1-4-x86_64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
upgrading libutf8proc...
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Warning: lock file missing /var/lib/pacman/db.lck
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Error: could not open file /var/lib/pacman/local/libutf8proc-2.1.1-2/files: No such file or directory
Warning: could not fully load metadata for package libutf8proc-2.1.1-2

Failed to prepare transaction:
invalid or corrupted package

Try the following steps: close Pamac window first, then launch it again and start the update procedure again. It should continue from where it left off.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


#3

Everything OK with Cinnamon 4.14, but this pamac issue still remains …

https://forum.manjaro.org/t/stable-update-2018-09-09-kernels-kde-plasma-apps-browsers-mesa-deepin-amdvlk/57781/89?u=gorhat

I was lucky that after update Cinnamon didn’t freeze totally, only pamac.


#4

Everything’s OK on Plasma 5.13.5, thx 4 the good work!


#5

Working well on xfce with no problems, thanks team.


#6

Only a problem with hfsprogs, which stopped working and just required re-installation with yaourt. Everything else seems OK.


#7

Everything is OK!


#8

Not showing the updates and I just refresh my mirrors in Pamac. Running pacman -Syyu just tells me that there nothing to do.


#9

Octipi only shows chromium available for update. I have kernel 4.18.6, and Octipi shows that as current, rather than 4.18.7. Also have 4.14.68, which is also shown as current. Oh, and no Octipi updates, either.


#10

I’m on Cinnamon and never had that happen.


#11

Your mirror is out of date. Try sudo pacman-mirrors -f 5 && sudo pacman -Syyu


#12

Update, reboot, everything is running.
LXQT with Kernel 4.14.
XFCE with Kernel 4.18.


#13

Just checking… I did the above for the last update (I do have AMD)… does it really need to be done for this update also?
Thanks


#14

No of course not. It’s already installed and it will be updated when needed like any other package. You don’t have to do nothing anymore.


#15

Manjaro Main Site won’t open and directing to old Manjaro page, is there any maintaining work now?


#16

syntax-highlighting: /usr/share/org.kde.syntax-highlighting/syntax/r.xml exists in the file system (belongs to rkward-frameworks-git).

pacman -Syyu --overwrite /usr/share/org.kde.syntax-highlighting/syntax/r.xml solved it.

NOTE: this won’t happen to the majority of users.


#17

Another smooth update on my KDE system. Thanks.


#18

So, are other people actually seeing the updates to the kernals and octipi and so forth listed in the OP? 'Cause I am not…

Oh, and is probably obvious from my mention of Octipi, but I use KDE. :slight_smile:


#19

Are you using an updated mirror like https://manjaro.moson.eu?


#20

I am facing the same issue with Pamac, it freezes after being used.
Right now it remains green like there would be another update.

At the same time I am unable to use the whisker-menu, this is frozen as well.
(with a mouse click, that is, I can open it with the W-key.)